Subject: Re: Get a git diff without taking index into account

From: Jeff King <[email-masked]>
Date: Wed, 18 Feb 2015 13:32:51 -0500

On Wed, Feb 18, 2015 at 01:27:50PM -0500, Eric Frederich wrote:

> My immediate concern is not to fix the documentation but to get some
> sort of status or diff.
> I want to avoid using an index because I want to allow multiple
> processes to do different diffs at the same time.

If you only have one working tree, can't all of the processes use the
same index (that matches the working tree) and do different diffs
against it?

If you have multiple working trees, can you use one index per working
tree, and specify it using GIT_INDEX_FILE?

If you can persist the index file for each working tree, this will be
much faster in the long run, too (you can just refresh the index before
each diff, which means that git does not have to actually open the files
in most cases; we can compare their stat information to what is in the
index, and then the index sha1 with what is in the tree).

-Peff